package com.jay.monitor.data.server.model;

import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.annotation.JSONType;

import java.util.Date;

/**
 * @Module TODO
 * @Description TODO
 * @Author liukaixiong
 * @Date 2021/1/15 14:34
 */
@JSONType(orders = { "username", "date"})
public class TestJsonModel {

    @JSONField(name = "用户名称",label = "asdadfasdf",format="ffff" )
    private String username;
    @JSONField(name = "你好啊",label = "时间",format="yyyy-MM-dd HH:mm:ss" )
    private String test1;
    @JSONField(name = "我好啊",label = "时间",format="yyyy-MM-dd HH:mm:ss" )
    private String test2;
    @JSONField(name = "他好啊",label = "时间",format="yyyy-MM-dd HH:mm:ss" )
    private String test3;
    @JSONField(name = "时间类型",label = "时间",format="yyyy-MM-dd HH:mm:ss" )
    private Date date;

    public String getTest1() {
        return test1;
    }

    public void setTest1(String test1) {
        this.test1 = test1;
    }

    public String getTest2() {
        return test2;
    }

    public void setTest2(String test2) {
        this.test2 = test2;
    }

    public String getTest3() {
        return test3;
    }

    public void setTest3(String test3) {
        this.test3 = test3;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public Date getDate() {
        return date;
    }

    public void setDate(Date date) {
        this.date = date;
    }
}
